/* --------------------------------------------------------------------------
 * Copyright 1992 by Forschungszentrum Informatik (FZI)
 *
 * You can use and distribute this software under the terms of the licence
 * you should have received along with this program.
 * If not or if you want additional information, write to
 * Forschungszentrum Informatik, "STONE", Haid-und-Neu-Strasse 10-14,
 * D-7500 Karlsruhe 1, Germany.
 * --------------------------------------------------------------------------
 */
#ifndef CCIEXTH
#define CCIEXTH 1

#include "knl_ext.h"

extern void cci_init (char *argv[]);


// *****************************  cci_Fun  *********************************

typedef sos_Object (*cci_Fun)(sos_Object,sos_Object_Array);

#define CCI_FUN_SIZE 4
inline void bcopy_from_cci_Fun (void *f, void *c)
{  *(cci_Fun *)c = *(cci_Fun *)f; }
inline void bcopy_to_cci_Fun (void *f, void *c)
{  *(cci_Fun *)f = *(cci_Fun *)c; }
sos_String make_string_from_cci_Fun_object (sos_Object);
sos_Object make_cci_Fun_object_from_string (sos_String);

#endif
